/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

//===== 
// Don't edit this file. This file is generated from xml description.. 
//===== 
#ifndef __bbcreaMaracasVisuReadAxisTree3D_h_INCLUDED__
#define __bbcreaMaracasVisuReadAxisTree3D_h_INCLUDED__
#include "bbcreaMaracasVisu_EXPORT.h"
#include "bbtkAtomicBlackBox.h"
#include "iostream"

namespace bbcreaMaracasVisu
{

class bbcreaMaracasVisu_EXPORT ReadAxisTree3D
 : 
   public bbtk::AtomicBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(ReadAxisTree3D,bbtk::AtomicBlackBox);
//===== 
// Don't edit this file. This file is generated from xml description.. 
//===== 
	BBTK_DECLARE_INPUT(FileName,std::string);
	BBTK_DECLARE_INPUT(Dimension,int);	
	
	BBTK_DECLARE_OUTPUT(lstData1,std::vector<std::string> );
	BBTK_DECLARE_OUTPUT(lstData2,std::vector<std::string> );
	BBTK_DECLARE_OUTPUT(lstData3,std::vector<std::string> );
	BBTK_DECLARE_OUTPUT(lstData4,std::vector<std::string> );
	BBTK_DECLARE_OUTPUT(lstData5,std::vector<std::string> );
	BBTK_DECLARE_OUTPUT(lstData6,std::vector<std::string> );
	BBTK_DECLARE_OUTPUT(lstData7,std::vector<std::string> );
	BBTK_DECLARE_OUTPUT(lstData8,std::vector<std::string> );
	BBTK_DECLARE_OUTPUT(lstData9,std::vector<std::string> );
	 
  BBTK_PROCESS(Process);
  void Process();
//===== 
// Don't edit this file. This file is generated from xml description.. 
//===== 
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(ReadAxisTree3D,bbtk::AtomicBlackBox);
	BBTK_NAME("ReadAxisTree3D");
	BBTK_AUTHOR("eduardo.davila at creatis.insa-lyon.fr");
	BBTK_DESCRIPTION("Read txt file with the tree points 3D");
	BBTK_CATEGORY("read/write");
	BBTK_INPUT(ReadAxisTree3D,FileName,"File name of Points",std::string,"");
	BBTK_INPUT(ReadAxisTree3D,Dimension,"(default 1) - The number of columns of the file",int,"");

	BBTK_OUTPUT(ReadAxisTree3D,lstData1,"vector of data",std::vector<std::string>,"");
	BBTK_OUTPUT(ReadAxisTree3D,lstData2,"vector of data",std::vector<std::string>,"");
	BBTK_OUTPUT(ReadAxisTree3D,lstData3,"vector of data",std::vector<std::string>,"");
	BBTK_OUTPUT(ReadAxisTree3D,lstData4,"vector of data",std::vector<std::string>,"");
	BBTK_OUTPUT(ReadAxisTree3D,lstData5,"vector of data",std::vector<std::string>,"");
	BBTK_OUTPUT(ReadAxisTree3D,lstData6,"vector of data",std::vector<std::string>,"");
	BBTK_OUTPUT(ReadAxisTree3D,lstData7,"vector of data",std::vector<std::string>,"");
	BBTK_OUTPUT(ReadAxisTree3D,lstData8,"vector of data",std::vector<std::string>,"");
	BBTK_OUTPUT(ReadAxisTree3D,lstData9,"vector of data",std::vector<std::string>,"");

BBTK_END_DESCRIBE_BLACK_BOX(ReadAxisTree3D);
//===== 
// Don't edit this file. This file is generated from xml description.. 
//===== 
}
// EO namespace bbcreaMaracasVisu

#endif // __bbcreaMaracasVisuReadAxisTree3D_h_INCLUDED__

